/*====START_GENERATED_PROLOG======================================
 */
/*
 *   COMPONENT_NAME: odscript
 *
 *   CLASSES:   ODDSList
 *
 *   ORIGINS: 27
 *
 *
 *   (C) COPYRIGHT International Business Machines Corp. 1995,1996
 *   All Rights Reserved
 *   Licensed Materials - Property of IBM
 *   US Government Users Restricted Rights - Use, duplication or
 *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *   	
 *   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
 *   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 *   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
 *   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 *   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
 *   OR PERFORMANCE OF THIS SOFTWARE.
 */
/*====END_GENERATED_PROLOG========================================
 */
// @(#) 1.8 com/src/odscript/oddslist.h, odscript, od96nt, odnt9712d 10/31/96 12:44:54 [3/21/97 17:22:49]
//
//
//
#ifndef ODDSList_H
#define ODDSList_H

//#include "sitype.h"

//typedef unsigned char Boolean;

template <class Type>
class ODDSList
{
 private:
   Type *fItems;
   long fCount;
   long fCurrentItem;
 public:
   ODDSList();
   ~ODDSList();
   boolean AddItem(Type item);
   boolean AddUniqueItem(Type item);
   Type GetItem(boolean first);
   Type GetNthItem(short num);
   boolean RemoveItem(Type item);
   boolean RemoveAll();
   boolean IsMember(Type item);
   long GetCount(){return(fCount);};
   void Print();
   void ListAdd(ODDSList<Type> *list);
};

#endif














